export declare type FilterFunction = (canvas: HTMLCanvasElement) => Promise<HTMLCanvasElement>;
export declare function InvertFilter(canvas: HTMLCanvasElement): Promise<HTMLCanvasElement>;
export declare function GrayscaleFilter(canvas: HTMLCanvasElement): Promise<HTMLCanvasElement>;
export declare function BlurDiffFilter(factor: number): FilterFunction;
export declare function BrightnessFilter(brightness: number): FilterFunction;
export declare function ContrastFilter(contrast: number): FilterFunction;
export declare function SaturationFilter(saturation: number): FilterFunction;
export declare class FilterPipeline {
    private pipeline;
    constructor();
    addFilter(filter: FilterFunction): void;
    clearFilters(): void;
    applyToCanvas(canvas: HTMLCanvasElement): Promise<HTMLCanvasElement>;
}
