import { Color } from "./Color";
export interface IPaletteSettings {
    lightness: number;
    lightnessVariation: number;
    minGrayness: number;
    maxGrayness: number;
    granularity: number;
    abRange: number;
}
export declare class Palette {
    private gamutCluster;
    private generateClusterPromise;
    private settings;
    constructor(settings: IPaletteSettings);
    gamut(): Promise<Color[]>;
    swatches(colorsCount: number): Promise<Color[]>;
    more(swatches: Color[], colorsCount: number): Promise<Color[]>;
    swatchIterator(): AsyncIterableIterator<Color>;
    private findNextColor;
    private generateGamutClusterAsync;
    private generateGamutCluster;
    private distanceToGray;
    private generatePointsCluster;
}
