import { IBoundable } from "../Interface/IBoundable";
import { IMovable } from "../Interface/IMovable";
import { IPoint2D } from "../Interface/IPoint2D";
import { IRect } from "../Interface/IRect";
export declare class Point2D implements IMovable, IBoundable<Point2D> {
    static BuildFromJSON(data: IPoint2D): Point2D;
    x: number;
    y: number;
    constructor(x: number, y: number);
    constructor(p: IPoint2D);
    move(x: number, y: number): void;
    move(point: IPoint2D): void;
    shift(dx: number, dy: number): void;
    boundToRect(r: IRect): Point2D;
    squareDistanceToPoint(p: Point2D): number;
    squareDistanceToLine(p1: Point2D, p2: Point2D): number;
    copy(): Point2D;
    toString(): string;
    toJSON(): IPoint2D;
}
