"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Rect = void 0;
class Rect {
    constructor(width, height) {
        this.width = 0;
        this.height = 0;
        this.resize(width, height);
    }
    static BuildFromJSON(data) {
        return new Rect(data.width, data.height);
    }
    resize(width, height) {
        if (width >= 0 && height >= 0) {
            this.width = width;
            this.height = height;
        }
    }
    copy() {
        return new Rect(this.width, this.height);
    }
    toString() {
        return `[${this.width.toString()}, ${this.height.toString()}]`;
    }
    toJSON() {
        return {
            width: this.width,
            height: this.height,
        };
    }
}
exports.Rect = Rect;
//# sourceMappingURL=Rect.js.map