import { IZoomCallbacks } from "../Interface/IZoomCallbacks";
export declare type ZoomData = {
    minZoomScale: number;
    maxZoomScale: number;
    previousZoomScale: number;
    currentZoomScale: number;
};
export declare enum ZoomDirection {
    In = 0,
    Out = 1
}
export declare class ZoomManager {
    isZoomEnabled: boolean;
    callbacks: IZoomCallbacks;
    private minZoomScale;
    private maxZoomScale;
    private zoomScale;
    currentZoomScale: number;
    private previousZoomScale;
    private _resetZoomOnContentLoad;
    private static instance;
    private constructor();
    get resetZoomOnContentLoad(): boolean;
    set resetZoomOnContentLoad(reset: boolean);
    static getInstance(isZoomEnabled?: boolean, zoomCallbacks?: IZoomCallbacks, maxZoom?: number, zoomScale?: number): ZoomManager;
    updateZoomScale(zoomType: ZoomDirection): ZoomData;
    resetZoomScale(): ZoomData;
    numberZoomScale(zoomScale: number): ZoomData;
    setMaxZoomScale(maxZoomScale: number): void;
    setZoomScale(zoomScale: number): void;
    getZoomData(): ZoomData;
    deleteInstance(): void;
}
