import { RegionData } from "../Core/RegionData";
import { RegionComponent } from "../Region/Component/RegionComponent";
export declare type RegionManipulationFunction = (UIElement?: RegionComponent) => void;
export declare type RegionManipulationLockFunction = (UIElement?: RegionComponent) => void;
export declare enum ChangeEventType {
    MOVEEND = 0,
    MOVING = 1,
    MOVEBEGIN = 2,
    SELECTIONTOGGLE = 3
}
export declare type RegionChangeFunction = (region: RegionComponent, regionData: RegionData, eventType?: ChangeEventType, multiSelection?: boolean) => void;
export interface IRegionCallbacks {
    onManipulationBegin: RegionManipulationFunction;
    onManipulationEnd: RegionManipulationFunction;
    onChange: RegionChangeFunction;
    onManipulationLockRequest?: RegionManipulationLockFunction;
    onManipulationLockRelease?: RegionManipulationLockFunction;
}
