import { Point2D } from "../../Core/Point2D";
import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { IRegionCallbacks } from "../../Interface/IRegionCallbacks";
import { RegionComponent } from "./RegionComponent";
export declare abstract class AnchorsComponent extends RegionComponent {
    static DEFAULT_ANCHOR_RADIUS: number;
    static DEFAULT_GHOST_ANCHOR_RADIUS: number;
    protected anchors: Snap.Element[];
    protected anchorsNode: Snap.Element;
    protected ghostAnchor: Snap.Element;
    protected activeAnchorIndex: number;
    protected dragOrigin: Point2D;
    protected isDragged: boolean;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks);
    redraw(): void;
    freeze(): void;
    protected buildAnchors(): void;
    protected buildPointAnchors(): void;
    protected buildGhostAnchor(): void;
    protected subscribeAnchorToEvents(anchor: Snap.Element, index: number): void;
    protected createAnchor(paper: Snap.Paper, x: number, y: number, style?: string, r?: number): Snap.Element;
    protected abstract updateRegion(p: Point2D): any;
    protected onGhostPointerEnter(e: PointerEvent): void;
    protected onGhostPointerLeave(e: PointerEvent): void;
    protected onGhostPointerDown(e: PointerEvent): void;
    protected onGhostPointerMove(e: PointerEvent): void;
    protected onGhostPointerUp(e: PointerEvent): void;
    protected subscribeGhostToEvents(): void;
    protected getActiveAnchorPoint(e?: PointerEvent): Point2D;
}
