import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { IEventDescriptor } from "../../Interface/IEventDescriptor";
import { IFreezable } from "../../Interface/IFreezable";
import { IHideable } from "../../Interface/IHideadble";
import { IMovable } from "../../Interface/IMovable";
import { IResizable } from "../../Interface/IResizable";
import { IRegionCallbacks } from "../../Interface/IRegionCallbacks";
import { IPoint2D } from "../../Interface/IPoint2D";
export declare abstract class RegionComponent implements IHideable, IResizable, IMovable, IFreezable {
    node: Snap.Element;
    regionData: RegionData;
    isVisible: boolean;
    isFrozen: boolean;
    isSelected: boolean;
    protected paper: Snap.Paper;
    protected paperRect: Rect;
    get x(): number;
    get y(): number;
    get width(): number;
    get height(): number;
    get area(): number;
    get boundRect(): Rect;
    protected callbacks: IRegionCallbacks;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks?: IRegionCallbacks);
    hide(): void;
    show(): void;
    select(): void;
    unselect(): void;
    freeze(): void;
    unfreeze(): void;
    move(point: IPoint2D): void;
    move(x: number, y: number): void;
    abstract redraw(): void;
    resize(width: number, height: number): void;
    resizePaper(width: number, height: number): void;
    protected subscribeToEvents(listeners: IEventDescriptor[]): void;
    protected makeFreezable(f: (args: PointerEvent | KeyboardEvent) => void, bypass?: boolean): (args: PointerEvent | KeyboardEvent) => void;
}
