import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { TagsDescriptor } from "../../Core/TagsDescriptor";
import { ITagsUpdateOptions } from "../../Interface/ITagsUpdateOptions";
import { RegionComponent } from "./RegionComponent";
export declare abstract class TagsComponent extends RegionComponent {
    tags: TagsDescriptor;
    protected primaryTagNode: Snap.Element;
    protected secondaryTagsNode: Snap.Element;
    protected secondaryTags: Snap.Element[];
    protected styleId: string;
    protected styleSheet: CSSStyleSheet;
    protected tagsUpdateOptions: ITagsUpdateOptions;
    protected styleMap: Array<{
        rule: string;
        style: string;
    }>;
    protected styleLightMap: Array<{
        rule: string;
        style: string;
    }>;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, tags: TagsDescriptor, styleId: string, styleSheet: CSSStyleSheet, tagsUpdateOptions?: ITagsUpdateOptions);
    updateTags(tags: TagsDescriptor, options?: ITagsUpdateOptions): void;
    protected abstract initStyleMaps(tags: TagsDescriptor): any;
    protected abstract rebuildTagLabels(): any;
    protected clearStyleMaps(): void;
    protected applyStyleMaps(showRegionBackground?: boolean): void;
}
