import { Point2D } from "../../Core/Point2D";
import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { IRegionCallbacks } from "../../Interface/IRegionCallbacks";
import { AnchorsComponent } from "../Component/AnchorsComponent";
export declare class AnchorsElement extends AnchorsComponent {
    static ANCHOR_POINT_LINE_SWITCH_THRESHOLD: number;
    private deleteOnPointerUp;
    private addOnPointerUp;
    private anchorsLength;
    private anchorsPolyline;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks);
    redraw(): void;
    protected buildAnchors(): void;
    protected buildPolylineAnchors(): void;
    protected subscribeLineToEvents(anchor: Snap.Element): void;
    protected updateRegion(p: Point2D): void;
    protected onGhostPointerEnter(e: PointerEvent): void;
    protected onGhostPointerMove(e: PointerEvent): void;
    protected onGhostPointerUp(e: PointerEvent): void;
    protected getActiveAnchorPoint(e: PointerEvent): Point2D;
}
