"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DragElement = void 0;
const DragComponent_1 = require("../Component/DragComponent");
class DragElement extends DragComponent_1.DragComponent {
    constructor(paper, paperRect = null, regionData, callbacks) {
        super(paper, paperRect, regionData, callbacks);
        this.nodeList = [];
        this.anchorsLength = regionData.points.length;
        this.buildDragLine();
    }
    buildDragLine() {
        let tmppoints = this.regionData.points;
        let lastpoint = tmppoints.shift();
        let tmpg = this.paper.g();
        tmppoints.forEach((p) => {
            const pointsData = [];
            pointsData.push(lastpoint.x, lastpoint.y);
            pointsData.push(p.x, p.y);
            lastpoint = p;
            let tmpNode = this.paper.polyline(pointsData).attr({
                strokeWidth: 25,
            });
            ;
            tmpNode.addClass("primaryTagBoundRectStyle");
            tmpNode.addClass("dragRectStyle");
            this.nodeList.push(tmpNode);
            tmpg.add(tmpNode);
        });
        this.dragNode = tmpg;
        this.dragNode.addClass("dragRectStyle");
        this.node.add(this.dragNode);
        this.subscribeToDragEvents();
    }
    redraw() {
        if (this.regionData.points !== null && this.regionData.points.length > 0) {
            let points = this.regionData.points;
            if (this.anchorsLength !== points.length) {
                window.requestAnimationFrame(() => {
                    this.nodeList.forEach((anchor) => {
                        anchor.remove();
                    });
                    this.nodeList = [];
                    this.dragNode.remove();
                    this.buildDragLine();
                });
                this.anchorsLength = points.length;
            }
            const strlist = [];
            let tmppoints = this.regionData.points;
            let lastpoint = tmppoints.shift();
            tmppoints.forEach((p) => {
                const pointsData = [];
                pointsData.push(lastpoint.x, lastpoint.y);
                pointsData.push(p.x, p.y);
                lastpoint = p;
                strlist.push(pointsData.toString());
            });
            this.nodeList.forEach((tmpnode) => {
                tmpnode.attr({
                    points: strlist.pop()
                });
            });
        }
    }
}
exports.DragElement = DragElement;
//# sourceMappingURL=DragElement.js.map