import { Point2D } from "../../Core/Point2D";
import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { IRegionCallbacks } from "../../Interface/IRegionCallbacks";
import { AnchorsComponent } from "../Component/AnchorsComponent";
export declare class AnchorsElement extends AnchorsComponent {
    private anchorPointStyles;
    private anchorBoneStyles;
    private boneThickness;
    private anchorBones;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks);
    redraw(): void;
    protected buildAnchors(): void;
    protected buildPointAnchors(): void;
    protected buildBoneAnchors(): void;
    protected createAnchorBone(paper: Snap.Paper, x: number, y: number, width: number, height: number, style?: string, thickness?: number): Snap.Element;
    protected updateRegion(p: Point2D): void;
    protected onGhostPointerEnter(e: PointerEvent): void;
    protected onGhostPointerLeave(e: PointerEvent): void;
    protected subscribeAnchorBoneToEvents(bone: Snap.Element, index: number): void;
    protected getActiveAnchorPoint(e?: PointerEvent): Point2D;
    private getActiveAnchor;
}
