import { Rect } from "../Core/Rect";
import { RegionData } from "../Core/RegionData";
import { TagsDescriptor } from "../Core/TagsDescriptor";
import { IMovable } from "../Interface/IMovable";
import { ITagsUpdateOptions } from "../Interface/ITagsUpdateOptions";
import { IRegionCallbacks } from "../Interface/IRegionCallbacks";
import { RegionComponent } from "./Component/RegionComponent";
export declare abstract class Region extends RegionComponent {
    tags: TagsDescriptor;
    ID: string;
    regionID: string;
    protected UI: RegionComponent[];
    protected styleID: string;
    protected styleSheet: CSSStyleSheet;
    protected tagsUpdateOptions: ITagsUpdateOptions;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks, id: string, tagsDescriptor: TagsDescriptor, tagsUpdateOptions?: ITagsUpdateOptions);
    removeStyles(): void;
    updateTags(tags: TagsDescriptor, options?: ITagsUpdateOptions): void;
    move(point: IMovable): void;
    move(x: number, y: number): void;
    resize(width: number, height: number): void;
    redraw(): void;
    freeze(): void;
    unfreeze(): void;
    protected s8(): string;
    private insertStyleSheet;
}
