import { Rect } from "../Core/Rect";
import { RegionData } from "../Core/RegionData";
import { IMovable } from "../Interface/IMovable";
import { IRegionCallbacks } from "../Interface/IRegionCallbacks";
import { RegionComponent } from "./Component/RegionComponent";
import { Region } from "./Region";
export declare class MenuElement extends RegionComponent {
    static PathCollection: {
        delete: {
            iconSize: number;
            path: string;
        };
    };
    menuGroup: Snap.Paper;
    menuRect: Snap.Element;
    menuItemsGroup: Snap.Element;
    menuItems: Snap.Element[];
    private menuItemSize;
    private mx;
    private my;
    private mw;
    private mh;
    private dh;
    private dw;
    private region;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks);
    addAction(action: string, icon: string, actor: (component: RegionComponent, action?: string) => void): void;
    attachTo(region: Region): void;
    move(point: IMovable): void;
    move(x: number, y: number): void;
    resize(width: number, height: number): void;
    redraw(): void;
    hide(): void;
    show(): void;
    showOnRegion(region: Region): void;
    private buildUI;
    private rearrangeMenuPosition;
}
