import { IRegionsManagerCallbacks } from "../Interface/IRegionsManagerCallbacks";
import { TagsDescriptor } from "../Core/TagsDescriptor";
import { RegionData } from "../Core/RegionData";
export declare class RegionsManager {
    callbacks: IRegionsManagerCallbacks;
    private baseParent;
    private paper;
    private paperRect;
    private regions;
    private menuLayer;
    private menu;
    private regionManagerLayer;
    private isFrozenState;
    private justManipulated;
    private manipulationLock;
    private editor;
    get isFrozen(): boolean;
    private frozenNuance;
    private tagsUpdateOptions;
    constructor(svgHost: SVGSVGElement, callbacks: IRegionsManagerCallbacks);
    addRegion(id: string, regionData: RegionData, tagsDescriptor: TagsDescriptor): void;
    addRectRegion(id: string, regionData: RegionData, tagsDescriptor: TagsDescriptor): void;
    addPointRegion(id: string, regionData: RegionData, tagsDescriptor: TagsDescriptor): void;
    addPolylineRegion(id: string, regionData: RegionData, tagsDescriptor: TagsDescriptor): void;
    addPolygonRegion(id: string, regionData: RegionData, tagsDescriptor: TagsDescriptor): void;
    redrawAllRegions(): void;
    getSelectedRegionsBounds(): {
        id: string;
        x: number;
        y: number;
        width: number;
        height: number;
    }[];
    getAllRegions(): Array<{
        id: string;
        tags: TagsDescriptor;
        regionData: RegionData;
    }>;
    getSelectedRegions(): Array<{
        id: string;
        tags: TagsDescriptor;
        regionData: RegionData;
    }>;
    deleteRegionById(id: string): void;
    deleteAllRegions(): void;
    updateTagsById(id: string, tagsDescriptor: TagsDescriptor): void;
    updateTagsForSelectedRegions(tagsDescriptor: TagsDescriptor): void;
    selectRegionById(id: string): void;
    resize(width: number, height: number): void;
    freeze(nuance?: string): void;
    unfreeze(): void;
    toggleFreezeMode(): void;
    toggleBackground(): void;
    private scaleRegion;
    private scaleRegionToOriginalSize;
    private lookupRegionByID;
    private sortRegionsByArea;
    private lookupSelectedRegions;
    private deleteRegion;
    private deleteSelectedRegions;
    private selectRegion;
    selectAllRegions(): void;
    moveAllRegions(): void;
    private selectNextRegion;
    private reshapeRegion;
    private moveSelectedRegions;
    private resizeSelectedRegions;
    private onRegionChange;
    private unselectRegions;
    private buildOn;
    private subscribeToEvents;
    private registerRegion;
    private functionGuard;
}
