import { Rect } from "../../Core/Rect";
import { IEventDescriptor } from "../../Interface/IEventDescriptor";
import { IHideable } from "../../Interface/IHideadble";
import { IResizable } from "../../Interface/IResizable";
import { ISelectorCallbacks } from "../../Interface/ISelectorCallbacks";
import { Element } from "../Component/Element";
import { IPoint2D } from "../../Interface/IPoint2D";
import { CrossElement } from "../Component/CrossElement";
export declare abstract class Selector extends Element {
    callbacks: ISelectorCallbacks;
    protected isEnabled: boolean;
    protected parentNode: SVGSVGElement;
    lxp: number;
    lyp: number;
    kxp: number;
    kyp: number;
    constructor(parent: SVGSVGElement, paper: Snap.Paper, boundRect: Rect, callbacks?: ISelectorCallbacks);
    enable(): void;
    disable(): void;
    protected subscribeToEvents(listeners: IEventDescriptor[]): void;
    protected enablify(f: (args: PointerEvent | KeyboardEvent) => void, bypass?: boolean): (args: PointerEvent | KeyboardEvent) => void;
    protected showAll(elements: Array<IHideable | Snap.Element>): void;
    protected hideAll(elements: Array<IHideable | Snap.Element>): void;
    protected resizeAll(elements: IResizable[]): void;
    protected moveCross(cross: CrossElement, pointTo: IPoint2D, square?: boolean, ref?: IPoint2D): void;
    protected movePoint(point: Snap.Element, pointTo: IPoint2D): void;
    protected moveLine(line: Snap.Element, pointFrom: IPoint2D, pointTo: IPoint2D): void;
}
